Package org.apache.felix.http.base.internal.registry

# Class ServletResolution

java.lang.Object
org.apache.felix.http.base.internal.registry.ServletResolution

Direct Known Subclasses:
  `PathResolution`

public class ServletResolution extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`ServletHandler`
`handler`
`PerContextHandlerRegistry`
`handlerRegistry`

## Constructor Summary

Constructors
Constructor
Description
`ServletResolution()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### handler

public ServletHandler handler

### handlerRegistry

public PerContextHandlerRegistry handlerRegistry

## Constructor Details

### ServletResolution

public ServletResolution()